Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.util
Class Hl7v2Validator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ohf.ihe.common.hl7v2.util.Hl7v2Validator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class Hl7v2Validator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `Hl7v2Package`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `DTM__PATTERN__VALUES`
`static Hl7v2Validator` | `INSTANCE` The cached model package
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `OID__PATTERN__VALUES`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, URI_ATTRIBUTE`

Constructor Summary
`Hl7v2Validator()` Creates an instance of the switch.

Method Summary
`boolean` | `validateCX(CX cx, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDocumentRoot(DocumentRoot documentRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDTM_Pattern(java.lang.String dtm, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'DTM'.
`boolean` | `validateDTM(java.lang.String dtm, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOid_Pattern(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Oid'.
`boolean` | `validateOid(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSourcePatientInfoType(SourcePatientInfoType sourcePatientInfoType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXAD(XAD xad, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXCN(XCN xcn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXON(XON xon, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXPN(XPN xpn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateXTN(XTN xtn, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_UniqueID, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Hl7v2Validator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### DTM__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] DTM__PATTERN__VALUES

  See Also:
    `validateDTM_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### OID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] OID__PATTERN__VALUES

  See Also:
    `validateOid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Constructor Detail

### Hl7v2Validator

    public Hl7v2Validator()

  Creates an instance of the switch.

Method Detail

### validateCX

    public boolean validateCX(CX cx,
                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                              java.util.Map context)

### validateDocumentRoot

    public boolean validateDocumentRoot(DocumentRoot documentRoot,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateSourcePatientInfoType

    public boolean validateSourcePatientInfoType(SourcePatientInfoType sourcePatientInfoType,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateXAD

    public boolean validateXAD(XAD xad,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateXCN

    public boolean validateXCN(XCN xcn,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateXON

    public boolean validateXON(XON xon,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateXPN

    public boolean validateXPN(XPN xpn,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateXTN

    public boolean validateXTN(XTN xtn,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateDTM

    public boolean validateDTM(java.lang.String dtm,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateDTM_Pattern

    public boolean validateDTM_Pattern(java.lang.String dtm,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

  Validates the Pattern constraint of 'DTM'.

### validateOid

    public boolean validateOid(java.lang.String oid,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateOid_Pattern

    public boolean validateOid_Pattern(java.lang.String oid,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

  Validates the Pattern constraint of 'Oid'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD